Skip to content

getShipmentLines

READ

Get shipment lines.

POST /api/v1/inventory/getShipmentLines
curl -X POST '<your-host>/api/v1/inventory/getShipmentLines' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "shipmentId": "string"
  }'
Response
{
  "results": [
    {
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "description": "string",
      "fulfillmentId": "string",
      "id": "string",
      "itemId": "string",
      "itemReadableId": "string",
      "lineId": "string",
      "locationId": "string",
      "orderQuantity": 0,
      "outstandingQuantity": 0,
      "requiresBatchTracking": true,
      "requiresSerialTracking": true,
      "shipmentId": "string",
      "shippedQuantity": 0,
      "storageUnitId": "string",
      "thumbnailPath": "string",
      "unitOfMeasure": "string",
      "unitPrice": 0,
      "updatedAt": "string",
      "updatedBy": "string",
      "fulfillment": {
        "companyId": "string",
        "createdAt": "string",
        "createdBy": "string",
        "id": "string",
        "jobId": "string",
        "quantity": 0,
        "salesOrderLineId": "string",
        "type": "Inventory",
        "updatedBy": "string",
        "job": {
          "actualTime": 0,
          "assignee": "string",
          "companyId": "string",
          "completedDate": "string",
          "configuration": "…",
          "createdAt": "string",
          "createdBy": "string",
          "customerId": "string",
          "customFields": "…",
          "deadlineType": "No Deadline",
          "dueDate": "string",
          "estimatedTime": 0,
          "id": "string",
          "itemId": "string",
          "jobId": "string",
          "locationId": "string",
          "notes": "…",
          "priority": 0,
          "productionQuantity": 0,
          "projectedCompletionAt": "string",
          "quantity": 0,
          "quantityComplete": 0,
          "quantityReceivedToInventory": 0,
          "quantityShipped": 0,
          "quoteId": "string",
          "quoteLineId": "string",
          "releasedDate": "string",
          "salesOrderId": "string",
          "salesOrderLineId": "string",
          "scheduleOutdatedAt": "string",
          "scheduleOutdatedReason": "string",
          "scrapQuantity": 0,
          "secondsToComplete": 0,
          "startDate": "string",
          "status": "Closed",
          "storageUnitId": "string",
          "tags": [
            "string"
          ],
          "unitOfMeasureCode": "string",
          "updatedAt": "string",
          "updatedBy": "string"
        }
      }
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "shipmentId": {
      "type": "string"
    }
  },
  "required": [
    "shipmentId"
  ]
}